import { Component, h, Prop } from '@stencil/core';
export class LeanHeader {
  render() {
    return (h("header", { class: "l-header" },
      h("h1", null, this.label),
      this.loggedIn && h("lean-button", null, "Profile")));
  }
  static get is() { return "lean-header"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["lean-header.css"]
  }; }
  static get styleUrls() { return {
    "$": ["lean-header.css"]
  }; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "label",
      "reflect": false
    },
    "loggedIn": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "logged-in",
      "reflect": false
    }
  }; }
}
