import { p as promiseResolve, b as bootstrapLazy } from './index-07a4c9c1.js';

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["lean-button_3",[[1,"lean-header",{"label":[1],"loggedIn":[4,"logged-in"]}],[1,"lean-list",{"label":[1]}],[1,"lean-button",{"label":[1]}]]]], options);
});
